Module | Spec::Story::Runner
In: | lib/spec/story/runner/plain_text_story_runner.rb lib/spec/story/runner/scenario_collector.rb lib/spec/story/runner/scenario_runner.rb lib/spec/story/runner/story_mediator.rb lib/spec/story/runner/story_parser.rb lib/spec/story/runner/story_runner.rb lib/spec/story/runner.rb

### Methods

create_story_runner dry_run register_listener

### Classes and Modules

Class Spec::Story::Runner::IllegalStepError
Class Spec::Story::Runner::PlainTextStoryRunner
Class Spec::Story::Runner::ScenarioCollector
Class Spec::Story::Runner::ScenarioRunner
Class Spec::Story::Runner::StoryMediator
Class Spec::Story::Runner::StoryParser
Class Spec::Story::Runner::StoryRunner

### Public Class methods

create_story_runner()

[Source]

        # File lib/spec/story/runner.rb, line 36
    36:         def create_story_runner
    37:           StoryRunner.new(scenario_runner, world_creator)
    38:         end

dry_run()

[Source]

        # File lib/spec/story/runner.rb, line 53
    53:         def dry_run
    54:           run_options.dry_run
    55:         end

register_listener(listener)

Use this to register a customer output formatter.

[Source]

        # File lib/spec/story/runner.rb, line 41
    41:         def register_listener(listener)
    42:           story_runner.add_listener(listener) # run_started, story_started, story_ended, #run_ended
    43:           world_creator.add_listener(listener) # found_scenario, step_succeeded, step_failed, step_failed
    44:           scenario_runner.add_listener(listener) # scenario_started, scenario_succeeded, scenario_pending, scenario_failed
    45:         end

[Validate]